org.richfaces.component.attribute

## Interface SelectProps

- All Known Subinterfaces:
    MultiSelectProps
  All Known Implementing Classes:
    AbstractInplaceSelect, AbstractOrderingComponent, AbstractOrderingList, AbstractPickList, AbstractSelect, AbstractSelectComponent, AbstractSelectManyComponent, UIInplaceSelect, UIOrderingList, UIPickList, UISelect

      public interface SelectProps

  Interface defining the methods for select-props.xml
  Author:
    Brian Leathem

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActiveClass()` Space-separated list of CSS style class(es) to be applied to the list element when it is in the "active" state.
    `String` | `getChangedClass()` Space-separated list of CSS style class(es) to be applied to the list element when it is in the "changed" state.
    `String` | `getDefaultLabel()` Used to set the display text when value is undefined
    `String` | `getDisabledClass()` Space-separated list of CSS style class(es) to be applied to the list element when it is disabled.
    `String` | `getItemClass()` Space-separated list of CSS style class(es) to be applied to the list items.
    `String` | `getListClass()` Space-separated list of CSS style class(es) to be applied to the list element.
    `String` | `getListHeight()` The height of the list element (in pixels)
    `String` | `getListWidth()` The width of the list element (in pixels)
    `String` | `getSelectItemClass()` Space-separated list of CSS style class(es) to be applied to the selected list item.

- - ### Method Detail

    - #### getListWidth

          String getListWidth()

      The width of the list element (in pixels)

    - #### getListHeight

          String getListHeight()

      The height of the list element (in pixels)

    - #### getDefaultLabel

          String getDefaultLabel()

      Used to set the display text when value is undefined

    - #### getActiveClass

          String getActiveClass()

      Space-separated list of CSS style class(es) to be applied to the list element when it is in the "active" state. This value must be passed through as the "class" attribute on generated markup.

    - #### getChangedClass

          String getChangedClass()

      Space-separated list of CSS style class(es) to be applied to the list element when it is in the "changed" state. This value must be passed through as the "class" attribute on generated markup.

    - #### getItemClass

          String getItemClass()

      Space-separated list of CSS style class(es) to be applied to the list items. This value must be passed through as the "class" attribute on generated markup.

    - #### getSelectItemClass

          String getSelectItemClass()

      Space-separated list of CSS style class(es) to be applied to the selected list item. This value must be passed through as the "class" attribute on generated markup.

    - #### getDisabledClass

          String getDisabledClass()

      Space-separated list of CSS style class(es) to be applied to the list element when it is disabled. This value must be passed through as the "class" attribute on generated markup.

    - #### getListClass

          String getListClass()

      Space-separated list of CSS style class(es) to be applied to the list element. This value must be passed through as the "class" attribute on generated markup.

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.